/*
    Introduction to OOP with Java 3rd Ed, McGraw-Hill

    Wu/Otani

    Chapter 5 Sample Program: Grade Distribution

    File: Ch5Sample3.java

*/

import javax.swing.*;

class Ch5LetterGradeTest {

    public static void main( String[] args ) {

        Ch5LetterGrader grader
            = new Ch5LetterGrader(105, 92, 85, 72, 50);

        grader.enter(75);
        grader.enter(83);
        grader.enter(98);
        grader.enter(93);
        grader.enter(72);

        System.out.println("Max score " + grader.getMaxScore());
        System.out.println("Min score " + grader.getMinScore());
        System.out.println("Avg score " + grader.getAverage());

        System.out.println("Grade Distribution: \nA B C D F");
        System.out.print  (grader.getGradeCount(grader.A_LEVEL) + " ");
        System.out.print  (grader.getGradeCount(grader.B_LEVEL) + " ");
        System.out.print  (grader.getGradeCount(grader.C_LEVEL) + " ");
        System.out.print  (grader.getGradeCount(grader.D_LEVEL) + " ");
        System.out.println(grader.getGradeCount(grader.F_LEVEL) + "\n");


        System.out.println("Score of " + 92 + " is equivalent to "
                                + grader.getLetterGrade(92));
    }
}